ogrtindex(1)

NAME
ogrtindex - ogrtindex creates a tileindex

SYNOPSIS

ogrtindex [-lnum n]... [-lname name]... [-f output_format]
                 output_dataset src_dataset...

DESCRIPTION

The ogrtindex program can be used to create a tileindex - a file containing a list of the identities of a bunch of other files along with there spatial extents. This is primarily intended to be used with the UMN MapServer for tiled access to layers using the OGR connection type.

-lnum n:
    Add layer number 'n' from each source file in the tile index.

-lname name:
    Add the layer named 'name' from each source file in the tile index.

-f output_format:
    Select an output format name. The default is to create a shapefile.

-tileindex field_name:
    The name to use for the dataset name. Defaults to LOCATION.

If no -lnum or -lname arguments are given it is assumed that all layers in source datasets should be added to the tile index as independent records.

If the tile index already exists it will be appended to, otherwise it will be created.

It is a flaw of the current ogrtindex program that no attempt is made to copy the coordinate system definition from the source datasets to the tile index (as is expected by MapServer when PROJECTION AUTO is in use).

EXAMPLE

This example would create a shapefile (tindex.shp) containing a tile index of the BL2000_LINK layers in all the NTF files in the wrk directory:

% ogrtindex tindex.shp wrk/*.NTF

AUTHORS

Frank Warmerdam <warmerdam@pobox.com>, Silke Reimer <silke@intevation.de>